import {Component} from '@angular/core';
import {MatButton} from "@angular/material/button";
import {NavigationService} from "@service/navigation.service";
import {MatFormFieldModule} from "@angular/material/form-field";
import {MatInput} from "@angular/material/input";
import SetupService from "@api/v1/setup.service";

@Component({
  selector: 'app-summary',
  standalone: true,
  imports: [
    MatButton,
    MatFormFieldModule,
    MatInput
  ],
  templateUrl: './summary.component.html'
})

export class SummaryComponent {
  constructor(private navigationService: NavigationService, private api: SetupService) {
    this.navigationService.nextButtonAction = () => {
      return this.api.submit();
    };
    this.navigationService.setNextButtonState(true);
  }
}
