import {AbstractControl, ValidationErrors, ValidatorFn} from '@angular/forms';

export function passwordMatchValidator(password: string, retypePassword: string): ValidatorFn {
  return (control: AbstractControl): ValidationErrors | null => {
    const passwordValue = control.get(password)?.value;
    const retypePasswordControl = control.get(retypePassword);

    if (retypePasswordControl?.value === passwordValue) {
      retypePasswordControl!.setErrors(null);
      return null;
    } else {
      const error = {passwordsMismatch: true};
      retypePasswordControl!.setErrors(error);
      return error;
    }
  };
}
